// Fill out your copyright notice in the Description page of Project Settings.

using System.IO;
using UnrealBuildTool;


public class GMESupport : ModuleRules
{
	public GMESupport(ReadOnlyTargetRules Target) : base(Target)
	{

		bEnableUndefinedIdentifierWarnings = false;

		PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;
		
		PublicIncludePaths.AddRange(
			new string[] {
				Path.Combine(ModuleDirectory,"Public","Log"),
				// ... add public include paths required here ...
			}
		);

		PublicDependencyModuleNames.AddRange(new string[]
				{ "Core", "CoreUObject", "Engine", "InputCore", "Slate", "SlateCore","CsdkRuntime", "GMESDK"
				});

		PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Engine",
				"Json"


				// ... add private dependencies that you statically link with here ...	
			}
		);
	}
}